// SPDX-License-Identifier: GPL-2.0
#ifndef AC71_HWMON_H
#define AC71_HWMON_H

#if IS_ENABLED(CONFIG_HWMON)

#include <linux/init.h>

int  __init ac71_hwmon_setup(void);
void        ac71_hwmon_cleanup(void);

#else

static inline int ac71_hwmon_setup(void)
{
	return 0;
}

static inline void ac71_hwmon_cleanup(void)
{

}

#endif

#endif /* AC71_HWMON_H */
